Author Topic: Selecting the right mod-version for your game  (Read 5071 times)

0 Members and 1 Guest are viewing this topic.

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Selecting the right mod-version for your game
« on: October 31, 2012, 08:51:56 AM »
Some people keep wondering, which version of a mod to download for the set of EPs/SPs they have.
All methods used so far seem to have failed, because people are still confused.

So I'll try to explain it as simple as possible. If you still don't get it after this, then I have no idea how we could help you any further.

Here's how to use this list:
1. Check which versions exist for the mod.
2. Start running down the following list (below).
3. The FIRST version in this list that mentions ANY pack that you have installed, is the version that you should use.

  • The AL-version - you need to have "Apartment Life", "Mansion & Gardens" stuff pack or one of the following Collections: "University Life Collection", "Best of Business Collection" or "Fun with Pets Collection".
  • The FT-version - you need to have "FreeTime" or one of the above.
  • The BV-version - you need to have "Bon Voyage", "Store Edition", or one of the above.
  • The SSN-version - you need to have "Seasons" or one of the above.
  • The PET-version - you need to have "Pets", "Teen Style Stuff", "Kitchen and Bath Design Stuff", "Ikea Home Stuff" or one of the above.
  • The OFB-version - you need to have "Open for Business", "Family Fun Stuff", "Glamour Life Stuff", "Celebration! Stuff", "H&M Fashion Stuff", "The Sims 2 Double Deluxe" or one of the above.
  • The NL-version - you need to have "NightLife" or one of the above.
  • The UNI-version - you need to have "University" or one of the above.
  • If you have only "The Sims 2", or "BaseGame", and there is no BG-version of the mod, then you can NOT use this mod.

If you follow the above set of rules religiously, you should always immediately find the correct mod-version to download, and should never need to ask "Which version do I need?" again.
If this still doesn't do the trick, then I have no idea what will.


Important NOTE: Please be aware, that with the Collection packs "University Life Collection", "Best of Business Collection" and "Fun with Pets Collection", there is absolutely no guarantee that ANY mod will work (Inteen seems to be especially picky, for example). Many people get the AL version to work with their Collection, but there are also people who can't get ANYthing to work on their systems. If the AL version doesn't work correctly, then you'll just have to try something else. There's no way for anyone to figure out which is the correct version for you. We just don't know.
« Last Edit: October 31, 2012, 10:16:16 AM by BoilingOil »

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline zephyrzodiac

  • Chief Postaholic
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 35519
  • Gender: Female
  • Superannuated Coffeeholic
    • Zephyr Zodiac @ 4-Shared
Re: Selecting the right mod-version for your game
« Reply #1 on: October 31, 2012, 08:58:00 AM »
BO, I think you've slipped up with the FT version.... If you have FT and Apartment Life or M&G, you shouldn't download the FT version...
"All the world's a Neighbourhood, and all the men and women merely Sims."  ZephyrZodiac with apologies to Willie Waggledagger.

http://www.4shared.com/u/yCrnLoEP/Zephyr_Zodiac.html

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Re: Selecting the right mod-version for your game
« Reply #2 on: October 31, 2012, 09:01:28 AM »
No, the rules clearly state that you need the FIRST version that mentions a pack you have, which in this case would be the  AL-version (AL and M&G are both mentioned in the AL-version line).
Only if there IS no AL-version, then the FT version should work for FT, AL or M&G.
« Last Edit: October 31, 2012, 09:04:35 AM by BoilingOil »

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline zephyrzodiac

  • Chief Postaholic
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 35519
  • Gender: Female
  • Superannuated Coffeeholic
    • Zephyr Zodiac @ 4-Shared
Re: Selecting the right mod-version for your game
« Reply #3 on: October 31, 2012, 09:25:40 AM »
Oh, I think I see what you mean... it's really the collection packs you are referring to, isn't it.
"All the world's a Neighbourhood, and all the men and women merely Sims."  ZephyrZodiac with apologies to Willie Waggledagger.

http://www.4shared.com/u/yCrnLoEP/Zephyr_Zodiac.html

Offline miros1

  • Face Collector
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 3697
  • Gender: Female
  • Face Collector
    • The Wooden Simolean
Re: Selecting the right mod-version for your game
« Reply #4 on: October 31, 2012, 09:33:12 AM »
And you might want to say "the newest in publication order, not your most recent purchase.

Offline zephyrzodiac

  • Chief Postaholic
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 35519
  • Gender: Female
  • Superannuated Coffeeholic
    • Zephyr Zodiac @ 4-Shared
Re: Selecting the right mod-version for your game
« Reply #5 on: October 31, 2012, 09:37:01 AM »
Yes, that's a common mistake beginners make, assuming a modder knows which is the latest of their personal purchases! :smile:
"All the world's a Neighbourhood, and all the men and women merely Sims."  ZephyrZodiac with apologies to Willie Waggledagger.

http://www.4shared.com/u/yCrnLoEP/Zephyr_Zodiac.html

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Re: Selecting the right mod-version for your game
« Reply #6 on: October 31, 2012, 09:51:03 AM »
In the Stuff-packs for Dummies thread, TJ already tried the latest-released approach, but how many people keep asking? Apparently, that doesn't work.

That's why I've added the lines 1., 2. and 3. as a sort of manual on how to read this list. If one follows those rules, there should NEVER be any confusion.

If you have AL, M&G or any of the Collections, the FIRST line of the list is already true. So you would get the AL-version of the mod. Why would you read any further? How could you ever get confused? Only if you don't have any of the packs mentioned in the first line, you continue to the second line, and so on and so forth, ending up with older and older versions as you go.
The list is written according to the reverse release order, because I hoped that this would be clear to everyone... Am I mistaken?
« Last Edit: October 31, 2012, 09:52:37 AM by BoilingOil »

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline zephyrzodiac

  • Chief Postaholic
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 35519
  • Gender: Female
  • Superannuated Coffeeholic
    • Zephyr Zodiac @ 4-Shared
Re: Selecting the right mod-version for your game
« Reply #7 on: October 31, 2012, 10:44:14 AM »
Well, I was a bit confused, and I know which version to use... maybe that's why, I was superimposing my own knowledge onto what you actually said.
"All the world's a Neighbourhood, and all the men and women merely Sims."  ZephyrZodiac with apologies to Willie Waggledagger.

http://www.4shared.com/u/yCrnLoEP/Zephyr_Zodiac.html

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Re: Selecting the right mod-version for your game
« Reply #8 on: October 31, 2012, 11:43:08 AM »
Ah yes, I can understand that. This is meant to educate people who do NOT know the answer. If you already know, you tend to rush through the info and miss the intention of why it was set up in this particular fashion... :P

My intention is to completely replace TJ's thread about mod-versions, hoping to decrease the number of questions on this subject.

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline zephyrzodiac

  • Chief Postaholic
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 35519
  • Gender: Female
  • Superannuated Coffeeholic
    • Zephyr Zodiac @ 4-Shared
Re: Selecting the right mod-version for your game
« Reply #9 on: October 31, 2012, 12:04:00 PM »
However, those questions frequently lead to us being able to sort out someone's seriously endangered game.
"All the world's a Neighbourhood, and all the men and women merely Sims."  ZephyrZodiac with apologies to Willie Waggledagger.

http://www.4shared.com/u/yCrnLoEP/Zephyr_Zodiac.html

Offline awalrath

  • Highchair Hipster
  • **
  • Posts: 74
Re: Selecting the right mod-version for your game
« Reply #10 on: October 31, 2012, 12:32:46 PM »
Would it be more clear if you said above collections, instead of "any of the above"? Or am I being confused?
Sorry, I got it the very first time I installed so im having trouble with the many extra add on help threads confusing me.

Offline Dark_Author

  • Administrator
  • Whining Whelp
  • *****
  • Posts: 2006
  • Gender: Female
Re: Selecting the right mod-version for your game
« Reply #11 on: October 31, 2012, 01:09:31 PM »
I like this!  It should help people if they actually, you know...read it.

Click On Those, Please?

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Re: Selecting the right mod-version for your game
« Reply #12 on: October 31, 2012, 02:35:38 PM »
Would it be more clear if you said above collections, instead of "any of the above"? Or am I being confused?
Sorry, I got it the very first time I installed so im having trouble with the many extra add on help threads confusing me.

Imagine a mod for which there is no AL-version, because the FT-version didn't need to be updated for AL. So the first line didn't work for you, even though you have AL. If the FT-line said "FT and the above collections", you might think it doesn't work for AL, because that isn't a collection.

However, I see your point. It's a problem I'm still working on. I want it to be so clear that people don't need to ask.

I like this!  It should help people if they actually, you know...read it.

You know... I wish I knew the solution to people not reading the obvious answer to their questions. :D

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline MszBaddAsz

  • Drooling Diaperfiller
  • *
  • Posts: 2
Re: Selecting the right mod-version for your game
« Reply #13 on: April 19, 2013, 12:28:42 AM »
Okayyyy; so I am an avid Simmer but am a complete and total noob when it comes to this mod downloading stuff.  I have all EPs except for Free Time and only the Ikea and Family Fun SP; which version of the mod would I download? 

Please help as I am helplessly confused.!!.  :confused:


(edited to remove superfluous quote)
« Last Edit: April 19, 2013, 01:33:21 AM by BoilingOil »

Offline BoilingOil

  • Slightly Off-Wack
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 11141
  • Gender: Male
  • We'll jump off that bridge when we come to it.
    • Leefish
Re: Selecting the right mod-version for your game
« Reply #14 on: April 19, 2013, 01:38:53 AM »
If you follow the procedure in the top post, the first line says "if you have AL or M&G, then stop searching, and get the AL version of any mod". In theory, that should be all you need to know. If you did that and you still have problems, then your issue is NOT version-related.

"BO, Sir, you rock! :bow:" - TheISZ                           (banner design: eefje00704/Eva)

Offline miros1

  • Face Collector
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 3697
  • Gender: Female
  • Face Collector
    • The Wooden Simolean
Re: Selecting the right mod-version for your game
« Reply #15 on: April 19, 2013, 03:09:25 AM »
And please post all information on a problem in one post.

Files for any mod which do not extract should be re-downloaded and re-extracted.  If the new copy will not extract, then and only then ask that a new copy be uploaded.  WinZip or whatever "unzipper" you're using knows nothing about game versions or mod versions; it only knows "valid files" and "invalid files," so your first step is to make sure you've got a valid file.

Offline AncientHighway

  • Whippy Whippersnapper
  • *****
  • Posts: 4610
Re: Selecting the right mod-version for your game
« Reply #16 on: April 19, 2013, 03:16:31 AM »
EDIT:  Read the support files.
« Last Edit: April 19, 2013, 03:47:07 AM by JustVisiting »

Offline miros1

  • Face Collector
  • Administrator
  • Whippy Whippersnapper
  • *****
  • Posts: 3697
  • Gender: Female
  • Face Collector
    • The Wooden Simolean
Re: Selecting the right mod-version for your game
« Reply #17 on: April 19, 2013, 03:18:34 AM »
JV, please do not support InTeen in this thread.